Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document
Class NodeSetDocumentData

    java.lang.Object
      com.bea.document.DocumentData
          com.bea.document.NodeSetDocumentData

public class NodeSetDocumentData
extends DocumentData

Represents a set of nodes. For example elements, text, etc. Objects of this class may be returned by IDocument.getDocumentData() or may be created for use in IDocument.addDocumentData(String, DocumentData).
For example, the string "//rootElement" will return a NodeSetDocumentData object. This object may have zero or one nodes(because XML documents have a single root element).

See Also:
  `IDocument.getDocumentData(String)`, `IDocument.addDocumentData(String, DocumentData)`

Field Summary

Fields inherited from class com.bea.document.DocumentData
`TYPE_BOOLEAN, TYPE_NODESET, TYPE_NULL, TYPE_NUMBER, TYPE_RTREEFRAG, TYPE_STRING, TYPE_UNKNOWN`

Constructor Summary
`NodeSetDocumentData()`
`NodeSetDocumentData(Node value)`
`NodeSetDocumentData(Node[] value)`
`NodeSetDocumentData(NodeIterator value)`

Methods inherited from class com.bea.document.DocumentData
`createDocumentData, dump, dump, equals, getType, greaterThan, greaterThanOrEqual, lessThan, lessThanOrEqual, toBoolean, toNodeIterator, toNodeSet, toNumber, toObject, toRtree, toStr, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeSetDocumentData

    public NodeSetDocumentData()

### NodeSetDocumentData

    public NodeSetDocumentData(Node value)

### NodeSetDocumentData

    public NodeSetDocumentData(NodeIterator value)

### NodeSetDocumentData

    public NodeSetDocumentData(Node[] value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD